Subject: Re: bug#23529: Request for fixing randomize_va_space build issues

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 Sep 2016 21:04:31 +0300

> From: Philipp Stephani <[email-masked]>
> Date: Tue, 06 Sep 2016 17:55:42 +0000
> Cc: Paul Eggert <[email-masked]>, [email-masked]
> 
>  IMHO, a saner compile cycle & the ability to play nice with modern
>  systems (ASLR, containers) largely outweights the loss of this
>  feature.
> 
> I agree. 

Why not look for ways of having the cake and eating it, too?  There's
no reason to believe there couldn't be a way to play nice with modern
systems without losing any existing feature.  After all, what we dump
is just data, we just cannot safely write it into the executable file.